Add step(s) to plan
Add one or more steps to an existing plan
POST
/
ai
/
missions
/
{mission_id}
/
runs
/
{run_id}
/
plan
/
steps
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.missions.runs.plan.addStepsToPlan(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
mission_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
steps: [
{
description: 'description',
sequence: 0,
step_id: 'step_id',
},
],
},
);
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.missions.runs.plan.add_steps_to_plan(
run_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mission_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
steps=[{
"description": "description",
"sequence": 0,
"step_id": "step_id",
}],
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Missions.Runs.Plan.AddStepsToPlan(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.AIMissionRunPlanAddStepsToPlanParams{
MissionID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
Steps: []telnyx.AIMissionRunPlanAddStepsToPlanParamsStep{{
Description: "description",
Sequence: 0,
StepID: "step_id",
}},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.missions.runs.plan.PlanAddStepsToPlanParams;
import com.telnyx.sdk.models.ai.missions.runs.plan.PlanAddStepsToPlanResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PlanAddStepsToPlanParams params = PlanAddStepsToPlanParams.builder()
.missionId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.runId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.addStep(PlanAddStepsToPlanParams.Step.builder()
.description("description")
.sequence(0L)
.stepId("step_id")
.build())
.build();
PlanAddStepsToPlanResponse response = client.ai().missions().runs().plan().addStepsToPlan(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.missions.runs.plan.add_steps_to_plan(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mission_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
steps: [{description: "description", sequence: 0, step_id: "step_id"}]
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->missions->runs->plan->addStepsToPlan(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
missionID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
steps: [
[
'description' => 'description',
'sequence' => 0,
'stepID' => 'step_id',
'metadata' => ['foo' => 'bar'],
'parentStepID' => 'parent_step_id',
],
],
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:missions:runs:plan add-steps-to-plan \
--api-key 'My API Key' \
--mission-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--run-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--step '{description: description, sequence: 0, step_id: step_id}'curl --request POST \
--url https://api.telnyx.com/v2/ai/missions/{mission_id}/runs/{run_id}/plan/steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"steps": [
{
"step_id": "<string>",
"description": "<string>",
"sequence": 123,
"parent_step_id": "<string>",
"metadata": {}
}
]
}
'{
"data": [
{
"step_id": "<string>",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 123,
"description": "<string>",
"parent_step_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the mission.
Unique identifier of the run.
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.missions.runs.plan.addStepsToPlan(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
mission_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
steps: [
{
description: 'description',
sequence: 0,
step_id: 'step_id',
},
],
},
);
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.missions.runs.plan.add_steps_to_plan(
run_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mission_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
steps=[{
"description": "description",
"sequence": 0,
"step_id": "step_id",
}],
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Missions.Runs.Plan.AddStepsToPlan(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.AIMissionRunPlanAddStepsToPlanParams{
MissionID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
Steps: []telnyx.AIMissionRunPlanAddStepsToPlanParamsStep{{
Description: "description",
Sequence: 0,
StepID: "step_id",
}},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.missions.runs.plan.PlanAddStepsToPlanParams;
import com.telnyx.sdk.models.ai.missions.runs.plan.PlanAddStepsToPlanResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PlanAddStepsToPlanParams params = PlanAddStepsToPlanParams.builder()
.missionId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.runId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.addStep(PlanAddStepsToPlanParams.Step.builder()
.description("description")
.sequence(0L)
.stepId("step_id")
.build())
.build();
PlanAddStepsToPlanResponse response = client.ai().missions().runs().plan().addStepsToPlan(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.missions.runs.plan.add_steps_to_plan(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mission_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
steps: [{description: "description", sequence: 0, step_id: "step_id"}]
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->missions->runs->plan->addStepsToPlan(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
missionID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
steps: [
[
'description' => 'description',
'sequence' => 0,
'stepID' => 'step_id',
'metadata' => ['foo' => 'bar'],
'parentStepID' => 'parent_step_id',
],
],
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:missions:runs:plan add-steps-to-plan \
--api-key 'My API Key' \
--mission-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--run-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--step '{description: description, sequence: 0, step_id: step_id}'curl --request POST \
--url https://api.telnyx.com/v2/ai/missions/{mission_id}/runs/{run_id}/plan/steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"steps": [
{
"step_id": "<string>",
"description": "<string>",
"sequence": 123,
"parent_step_id": "<string>",
"metadata": {}
}
]
}
'{
"data": [
{
"step_id": "<string>",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 123,
"description": "<string>",
"parent_step_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}